package org.enhydra.kelp.ant.xmlc;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Damir Milovic
 * @version 1.0
 */
// ToolBox imports
import java.awt.Dialog;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.lang.ref.WeakReference;

import javax.swing.JButton;

import org.enhydra.tool.common.ButtonPanel;


public class AntXMLCButtonListener implements ActionListener {
    private WeakReference ref = null;

    public AntXMLCButtonListener(AntXMLCTool tool) {
        ref = new WeakReference(tool);
    }

    /**
     * ActionListener implementation.
     *
     * @param event
     * Event that triggered this listener.
     *
     */
    public void actionPerformed(ActionEvent event) {
        String command = event.getActionCommand();

        if (command.equals(ButtonPanel.COMMAND_COMPILE)) {
            getTool().getProject().save();
            getTool().build();
        } else if (command.equals(ButtonPanel.COMMAND_CLOSE)) {
            getTool().getProject().save();
            getTool().closeWindow();
        } else if (command.equals(ButtonPanel.COMMAND_CANCEL)) {
            getTool().closeWindow();
        } else if (command.equals(ButtonPanel.COMMAND_HELP)) {
       		getTool().showHelp(null);        
        } else if (command.equals(ButtonPanel.COMMAND_ABOUT)) {
            getTool().showAbout();
        }
    }

    private AntXMLCTool getTool() {
        return (AntXMLCTool) ref.get();
    }

}
