
/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Paul Mahar
 *
 */
package org.enhydra.tool.archive;

//
public interface ManifestKeys {

    // standard
    public final String MANIFEST_VERSION = "Manifest-Version";    // nores
    public final String VERSION_VALUE = "1.0";                    // nores
    public final String CREATED_BY = "Created-By";                // nores
    public final String KELP_VERSION = "Kelp-Version";            // nores

    // jar
    public final String CLASS_ROOT = "Class-Root";                // nores
    public final String CLASS_ALL = "Class-All";                  // nores

    // war
    public final String CONTENT_ROOT = "Content-Root";            // nores
    public final String CONTENT_ALL = "Content-All";              // nores
    public final String LIBRARY = "Library-";                     // nores

    // ebj
    public final String CREATE_CLIENT = "Create-Client";              // nores

    // ear
    public final String APP_NAME = "Application-Name";            // nores
    public final String APP_DESC = "Application-Description";            // nores
    public final String ENTERPRISE_MODULE = "Enterprise-Module-";       // nores
    public final String WEBAPP_CONTEXT = "WebApp-Context-";       // nores
    public final String WEBAPP_MODULE = "WebApp-Module-";       // nores
    public final String APP_META = "Application-Meta-";       // nores
    public final String COPY_CLIENT = "Copy-Client";              // nores
    public final String ALT_DD = "Alt-DD";              // nores
}
