package org.enhydra.kelp.jbuilder.actions;

import com.borland.primetime.actions.ActionGroup;
import javax.swing.Icon;
import com.borland.primetime.ide.Browser;
import com.borland.jbuilder.node.JBProject;
import com.borland.primetime.vfs.Url;
import java.io.File;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class EnhydraGroup extends ActionGroup {

  public EnhydraGroup(String name, char mnem,
                      String longname, Icon icon, boolean popup) {
    super(name, mnem, longname, icon, popup);
  }

  /**
   * Enables deploy action if current project exists and if it is JBProject type
   * and if exist builder.xml file in the project
   *
   * @param browser
   */
  public void update(Browser browser) {
    JBProject project;
    if (browser.getActiveProject() != null) {
      project = (JBProject)browser.getActiveProject();
      setEnabled( (project instanceof JBProject) &&
                  (project.getProperty("enhydra.project", "false")
                    .equalsIgnoreCase("true")) );
    } else {
      setEnabled(false);
    }
  }

}