Name: kelp
Version: 5.1
Release: 1
Copyright: GPL
Summary: Kelp
Group: Development/Tools
Source: %name-%version.tar.gz
URL: http://www.enhydra.org
Distribution: WSS Linux
Packager: Seateam <enhydratim@yahoo.com>
AutoReqProv: no
buildRoot: /tmp/%name-%version
%description
Kelp

%package jbuilder
Summary: Kelp for JBuilder6
Group: Development/Tools
AutoReqProv: no
%description jbuilder
Kelp addin for JBuilder6

%package jbuilder7
Summary: Kelp for JBuilder7
Group: Development/Tools
AutoReqProv: no
%description jbuilder7
Kelp addin for JBuilder7

%package jbuilder8
Summary: Kelp for JBuilder8
Group: Development/Tools
AutoReqProv: no
%description jbuilder8
Kelp addin for JBuilder8

%package netbeans
Summary: Kelp for NetBeans
Group: Development/Tools
AutoReqProv: no
%description netbeans
Kelp addin for NetBeans

%package netbeans34
Summary: Kelp for NetBeans3.4
Group: Development/Tools
AutoReqProv: no
%description netbeans34
Kelp addin for NetBeans3.4

%package eclipse
Summary: Kelp for eclipse
Group: Development/Tools
AutoReqProv: no
%description eclipse
Kelp addin for Eclipse

%package eclipse21
Summary: Kelp for eclipse2.1
Group: Development/Tools
AutoReqProv: no
%description eclipse21
Kelp addin for Eclipse2.1

%package jdeveloper
Summary: Kelp for jdeveloper
Group: Development/Tools
AutoReqProv: no
%description jdeveloper
Kelp addin for Eclipse2.1

%prep
%setup
            
%build
	find . -name CVS -print | 
		while 
			read l; 
		do 
			rm -rf "$l"; 
		done
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \n\n"
                read JDK_HOME
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \n\n"
                read enhdir
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_jbdir6=/opt/JBuilder6
        while
                echo -e "\n\nPlease enter hyphen (-) to skip Kelp-JBuilder6 package generation,\n"\
			" or path to your "\
                        "JBuilder6 root directory [$default_jbdir6] \n\n"
                read jbdir6
		if
			[ $jbdir6 = '-' ]
		then
			break
		fi
                jbdir6=${jbdir6:=$default_jbdir6}
                [ ! -d $jbdir6 ]
        do
                echo "Warning: No such directory: $jbdir6"
        done

	default_jbdir7=/opt/JBuilder7
        while
                echo -e "\n\nPlease enter hyphen (-) to skip Kelp-JBuilder7 package generation,\n"\
			" or path to your "\
                        "JBuilder7 root directory [$default_jbdir7] \n\n"
                read jbdir7
		if
			[ $jbdir7 = '-' ]
		then
			break
		fi
                jbdir7=${jbdir7:=$default_jbdir7}
                [ ! -d $jbdir7 ]
        do
                echo "Warning: No such directory: $jbdir7"
        done

	default_jbdir8=/opt/JBuilder8
        while
                echo -e "\n\nPlease enter hyphen (-) to skip Kelp-JBuilder8 package generation,\n"\
			" or path to your "\
                        "JBuilder8 root directory [$default_jbdir8] \n\n"
                read jbdir8
		if
			[ $jbdir8 = '-' ]
		then
			break
		fi
                jbdir8=${jbdir8:=$default_jbdir8}
                [ ! -d $jbdir8 ]
        do
                echo "Warning: No such directory: $jbdir8"
        done


	default_nbdir=/opt/netbeans
        while
                echo -e "\n\nPlease enter hyphen (-) to skip Kelp-NetBeans package generation,\n"\
			"or path to your "\
                        "NetBeans root directory [$default_nbdir] \n\n"
                read nbdir
                nbdir=${nbdir:=$default_nbdir}
		if
                        [ $nbdir = '-' ]
                then
                        break
                fi

                [ ! -d $nbdir ]
        do
                echo "Warning: No such directory: $nbdir"
        done

	default_nbdir34=/opt/netbeans
        while
                echo -e "\n\nPlease enter hyphen (-) to skip Kelp-NetBeans34 package generation,\n"\
			"or path to your "\
                        "NetBeans34 root directory [$default_nbdir34] \n\n"
                read nbdir34
                nbdir=${nbdir34:=$default_nbdir34}
		if
                        [ $nbdir34 = '-' ]
                then
                        break
                fi

                [ ! -d $nbdir34 ]
        do
                echo "Warning: No such directory: $nbdir34"
        done

        default_ecldir=/opt/eclipse
        while
                echo -e "\n\nPlease enter hyphen (-) to skip Kelp-Eclipse package generation,\n"\
                        "or path to your "\
                        "Eclipse root directory [$default_ecldir] \n\n"
                read ecldir
                ecldir=${ecldir:=$default_ecldir}
                if
                        [ $ecldir = '-' ]
                then
                        break
                fi

                [ ! -d $ecldir ]
        do
                echo "Warning: No such directory: $ecldir"
        done

        default_ecldir21=/opt/eclipse
        while
                echo -e "\n\nPlease enter hyphen (-) to skip Kelp-Eclipse21 package generation,\n"\
                        "or path to your "\
                        "Eclipse root directory [$default_ecldir21] \n\n"
                read ecldir21
                ecldir21=${ecldir21:=$default_ecldir21}
                if
                        [ $ecldir21 = '-' ]
                then
                        break
                fi

                [ ! -d $ecldir21 ]
        do
                echo "Warning: No such directory: $ecldir21"
        done

        default_jddir=/opt/JDeveloper
        while
                echo -e "\n\nPlease enter hyphen (-) to skip Kelp-Jdeveloper package generation,\n"\
                        "or path to your "\
                        "Jdeveloper root directory [$default_jddir] \n\n"
                read jddir
                jddir=${jddir:=$default_jddir}
                if
                        [ $jddir = '-' ]
                then
                        break
                fi

                [ ! -d $jddir ]
        do
                echo "Warning: No such directory: $jddir"
        done

        echo "enhydra.root=$enhdir
jbuilder6.root=$jbdir6
jbuilder7.root=$jbdir7
jbuilder8.root=$jbdir8
netbeans.root=$nbdir
netbeans34.root=$nbdir34
eclipse.root=$ecldir
eclipse21.root=$ecldir21
jdeveloper.root=$jddir" >kelp.properties

	PATH=$enhdir/bin:$PATH
	export PATH
	rm -fr /tmp/%name-%version 2>>/dev/null
	if 
		[ $jbdir6 != '-' ]
	then
		ant -f build_JBuilder6.xml
		mkdir install/jbuilder6/lib
		mv lib/KelpAddinJBuilder6.jar install/jbuilder6/lib
		mkdir -p install/jbuilder6/dist/jbuilder/lib
		cp Enhydra.library.in install/jbuilder6/dist/jbuilder/lib
		mkdir install/jbuilder6/doc
		find doc -type f -maxdepth 1 -exec cp {} install/jbuilder6/doc \;
		cp -R doc/jbuilder/* install/jbuilder6/doc 
		cp -R doc/images install/jbuilder6/doc 
		cp -R samples  install/jbuilder6
		mkdir -p $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder6
	else
		rm -fr $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder6 2>>/dev/null
	fi

	if 
		[ $jbdir7 != '-' ]
	then
		ant -f build_JBuilder7.xml
		mkdir install/jbuilder7/lib
		mv lib/KelpAddinJBuilder7.jar install/jbuilder7/lib
		mkdir -p install/jbuilder7/dist/jbuilder/lib
		cp Enhydra.library.in install/jbuilder7/dist/jbuilder/lib
		mkdir install/jbuilder7/doc
		find doc -type f -maxdepth 1 -exec cp {} install/jbuilder7/doc \;
		cp -R doc/jbuilder/* install/jbuilder7/doc 
		cp -R doc/images install/jbuilder7/doc 
		cp -R samples  install/jbuilder7
		mkdir -p $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder7
	else
		rm -fr $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder7 2>>/dev/null
	fi

	if 
		[ $jbdir8 != '-' ]
	then
		ant -f build_JBuilder8.xml
		mv modules/JBuilder8/output/lib  install/jbuilder8/
		mkdir -p install/jbuilder8/dist
		mkdir -p install/jbuilder8/kelp/doc
		cp doc/jbuilder8/*.html  install/jbuilder8/kelp/doc
		cp -r doc/jbuilder8/images_kelp_jbuilder8  install/jbuilder8/kelp/doc
		mv install/jbuilder8/configure* install/jbuilder8/dist
		cp Enhydra.library.in install/jbuilder8/dist
		mkdir -p $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder8
	else
		rm -fr  $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder8 2>>/dev/null
	fi

	if 
		[ $nbdir != '-' ]
	then
		ant -f build_NetBeans.xml
		mkdir install/netbeans/modules
		mv lib/KelpAddinForte.jar install/netbeans/modules
		major_version=$(echo %version| cut -f1 -d'.')
		mkdir -p install/netbeans/Kelp${major_version}/doc
		find doc -type f -maxdepth 1 -exec cp {} install/netbeans/Kelp${major_version}/doc \;
		cp -R doc/netbeans/* install/netbeans/Kelp${major_version}/doc 
		cp -R doc/images install/netbeans/Kelp${major_version}/doc
		mkdir -p $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans
	else
		rm -fr $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans 2>>/dev/null
	fi

	if 
		[ $nbdir34 != '-' ]
	then
		ant -f build_NetBeans34.xml
		mkdir install/netbeans34/modules
		mv lib/KelpAddinForte34.jar install/netbeans34/modules
		major_version=$(echo %version| cut -f1 -d'.')
		mkdir -p install/netbeans34/Kelp${major_version}/doc
		find doc -type f -maxdepth 1 -exec cp {} install/netbeans34/Kelp${major_version}/doc \;
		cp -R doc/netbeans/* install/netbeans34/Kelp${major_version}/doc 
		cp -R doc/images install/netbeans34/Kelp${major_version}/doc
		mkdir -p $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans34
	else
		rm -fr $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans34 2>>/dev/null
	fi

	if 
		[ $ecldir != '-' ]
	then
		ant -f build_Eclipse.xml -D'eclipse.dir'=$ecldir
		mkdir -p install/eclipse
		mv modules/Eclipse/plugins/org.enhydra.kelp.eclipse_1.0.0 install/eclipse
		mkdir -p $RPM_BUILD_ROOT/tmp/%name-%version/eclipse
	else
		rm -fr $RPM_BUILD_ROOT/tmp/%name-%version/eclipse 2>>/dev/null
	fi

	if 
		[ $ecldir21 != '-' ]
	then
		ant -f build_Eclipse21.xml -D'eclipse21.dir'=$ecldir21
		mkdir -p install/eclipse21
		mv modules/Eclipse21/plugins/org.enhydra.kelp.eclipse_1.0.0 install/eclipse21
		mkdir -p $RPM_BUILD_ROOT/tmp/%name-%version/eclipse21
	else
		rm -fr $RPM_BUILD_ROOT/tmp/%name-%version/eclipse21 2>>/dev/null
	fi

	if 
		[ $jddir != '-' ]
	then
		ant -f build_JDeveloper.xml -D'jdeveloper.dir'=$jddir
		mkdir -p install/jdeveloper/jdev/lib/ext
		mv modules/JDeveloper/output/* install/jdeveloper/jdev/lib/ext
		mkdir -p install/jdeveloper/jdev/kelp/doc
		mv doc/jdeveloper/*.html  install/jdeveloper/jdev/kelp/doc
		mv doc/jdeveloper/images*  install/jdeveloper/jdev/kelp/doc
		mkdir -p $RPM_BUILD_ROOT/tmp/%name-%version/jdeveloper
	else
		rm -fr $RPM_BUILD_ROOT/tmp/%name-%version/jdeveloper 2>>/dev/null
	fi

%install
	if 
		[ -d $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder6 ]
	then
		mv -f install/jbuilder6/* $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder6
		
		chmod +x $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder6/configure
		echo /tmp/%name-%version/JBuilder6 >JBuilder6_file.list
	else
		echo "" >JBuilder6_file.list
	fi

	if 
		[ -d $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder7 ]
	then
		mv -f install/jbuilder7/* $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder7
		chmod +x $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder7/configure
		echo /tmp/%name-%version/JBuilder7 >JBuilder7_file.list
	else
		echo "" >JBuilder7_file.list
	fi

	if 
		[ -d $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder8 ]
	then
		mv -f install/jbuilder8/* $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder8
		chmod +x $RPM_BUILD_ROOT/tmp/%name-%version/JBuilder8/dist/configure
		echo /tmp/%name-%version/JBuilder8 >JBuilder8_file.list
	else
		echo "" >JBuilder8_file.list
	fi

	if 
		[ -d $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans ]
	then
		mv -f install/netbeans/* $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans
		chmod +x $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans/configure
		echo /tmp/%name-%version/NetBeans >NetBeans_file.list
	else
		echo "" >NetBeans_file.list
	fi

	if 
		[ -d $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans34 ]
	then
		mv -f install/netbeans34/* $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans34
		chmod +x $RPM_BUILD_ROOT/tmp/%name-%version/NetBeans34/configure
		echo /tmp/%name-%version/NetBeans34 >NetBeans34_file.list
	else
		echo "" >NetBeans34_file.list
	fi

	if 
		[ -d $RPM_BUILD_ROOT/tmp/%name-%version/eclipse ]
	then
		mv -f install/eclipse/* $RPM_BUILD_ROOT/tmp/%name-%version/eclipse
		chmod +x $RPM_BUILD_ROOT/tmp/%name-%version/eclipse/configure
		echo /tmp/%name-%version/eclipse >Eclipse_file.list
	else
		echo "" >Eclipse_file.list
	fi

	if 
		[ -d $RPM_BUILD_ROOT/tmp/%name-%version/eclipse21 ]
	then
		mv -f install/eclipse21/* $RPM_BUILD_ROOT/tmp/%name-%version/eclipse21
		chmod +x $RPM_BUILD_ROOT/tmp/%name-%version/eclipse21/configure
		echo /tmp/%name-%version/eclipse21 >Eclipse21_file.list
	else
		echo "" >Eclipse21_file.list
	fi

	if 
		[ -d $RPM_BUILD_ROOT/tmp/%name-%version/jdeveloper ]
	then
		mv -f install/jdeveloper/* $RPM_BUILD_ROOT/tmp/%name-%version/jdeveloper
		chmod +x $RPM_BUILD_ROOT/tmp/%name-%version/jdeveloper/configure
		echo /tmp/%name-%version/jdeveloper >JDeveloper_file.list
	else
		echo "" >JDeveloper_file.list
	fi

%files jbuilder -f JBuilder6_file.list
%files jbuilder7 -f JBuilder7_file.list
%files jbuilder8 -f JBuilder8_file.list
%files netbeans -f NetBeans_file.list
%files netbeans34 -f NetBeans34_file.list
%files eclipse -f Eclipse_file.list
%files eclipse21 -f Eclipse21_file.list
%files jdeveloper -f JDeveloper_file.list

%post jbuilder
	echo -e "\n\n %name-JBuilder6-%version post installation script\n\n"
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \c"
                read JDK_HOME </dev/tty
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
	PATH=$JDK_HOME/bin:$PATH
	export PATH
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \c"
                read enhdir </dev/tty
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_jbdir6=/opt/JBuilder6
        while
                echo -e "\n\nPlease enter path to your "\
                        "JBuilder6 root directory [$default_jbdir6] \c"
                read jbdir6 </dev/tty
                jbdir6=${jbdir6:=$default_jbdir6}
                [ ! -d $jbdir6 ]
        do
                echo "Warning: No such directory: $jbdir6"
        done
	major_version=$(echo %version| cut -f1 -d'.')
	kelpdir=${jbdir6}/Kelp$major_version
	if
		[ ! -d ${kelpdir} ]
	then
		mkdir ${kelpdir}
	else
		echo "Kelp has already been installed, removing the contents of $kelpdir"
		rm -rf  ${kelpdir}/*
		if 
			[ -f  ${jbdir6}/bin/JBuilder.config.save ]
		then
			mv -f ${jbdir6}/bin/JBuilder.config.save  ${jbdir6}/bin/JBuilder.config
		fi
	fi
	mv /tmp/%name-%version/JBuilder6/* ${kelpdir}
	cd ${kelpdir}
	if
		./configure -j $jbdir6 $enhdir $JDK_HOME
	then
		echo -e "\n\nThe installation has been successful"
	else
		echo -e "\n\nThe installation failed"
		exit 1
	fi

%post jbuilder7
	echo -e "\n\n %name-JBuilder7-%version post installation script\n\n"
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \c"
                read JDK_HOME </dev/tty
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
	PATH=$JDK_HOME/bin:$PATH
	export PATH
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \c"
                read enhdir </dev/tty
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_jbdir7=/opt/JBuilder7
        while
                echo -e "\n\nPlease enter path to your "\
                        "JBuilder7 root directory [$default_jbdir7] \c"
                read jbdir7 </dev/tty
                jbdir7=${jbdir7:=$default_jbdir7}
                [ ! -d $jbdir7 ]
        do
                echo "Warning: No such directory: $jbdir7"
        done
	major_version=$(echo %version| cut -f1 -d'.')
	kelpdir=${jbdir7}/Kelp$major_version
	if
		[ ! -d ${kelpdir} ]
	then
		mkdir ${kelpdir}
	else
		echo "Kelp has already been installed, removing the contents of $kelpdir"
		rm -rf  ${kelpdir}/*
		if 
			[ -f  ${jbdir7}/bin/jbuilder.config.save ]
		then
			mv -f ${jbdir7}/bin/jbuilder.config.save  ${jbdir7}/bin/jbuilder.config
		fi
	fi
	mv /tmp/%name-%version/JBuilder7/* ${kelpdir}
	cd ${kelpdir}
	if
		./configure -j $jbdir7 $enhdir $JDK_HOME
	then
		echo -e "\n\nThe installation has been successful"
	else
		echo -e "\n\nThe installation failed"
		exit 1
	fi

%post jbuilder8
	echo -e "\n\n %name-JBuilder8-%version post installation script\n\n"
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \c"
                read JDK_HOME </dev/tty
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
	PATH=$JDK_HOME/bin:$PATH
	export PATH
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \c"
                read enhdir </dev/tty
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_jbdir8=/opt/JBuilder8
        while
                echo -e "\n\nPlease enter path to your "\
                        "JBuilder8 root directory [$default_jbdir8] \c"
                read jbdir8 </dev/tty
                jbdir8=${jbdir8:=$default_jbdir8}
                [ ! -d $jbdir8 ]
        do
                echo "Warning: No such directory: $jbdir8"
        done
	major_version=$(echo %version| cut -f1 -d'.')
	kelpdir=${jbdir8}
	if
		[ -f ${kelpdir}/lib/KelpAntCore.jar ]
	then
		echo "Kelp has already been installed, reverting jbuilder.config"
		if 
			[ -f  ${jbdir8}/bin/jbuilder.config.save ]
		then
			mv -f ${jbdir8}/bin/jbuilder.config.save  ${jbdir8}/bin/jbuilder.config
		fi
	fi
	cp -r /tmp/%name-%version/JBuilder8/* ${kelpdir}
	cd ${kelpdir}
	if
		./dist/configure $jbdir8 $enhdir $JDK_HOME
	then
		echo -e "\n\nThe installation has been successful"
		rm -fr dist
	else
		echo -e "\n\nThe installation failed"
		exit 1
	fi

%post netbeans
	echo -e "\n\n %name-NetBeans-%version post installation script\n\n"
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \c"
                read JDK_HOME </dev/tty
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
	PATH=$JDK_HOME/bin:$PATH
	export PATH
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \c"
                read enhdir </dev/tty
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_nbdir=/opt/netbeans
        while
                echo -e "\n\nPlease enter path to your "\
                        "NetBeans root directory [$default_nbdir] \c"
                read nbdir </dev/tty
                nbdir=${nbdir:=$default_nbdir}
                [ ! -d $nbdir ]
        do
                echo "Warning: No such directory: $nbdir"
        done
	major_version=$(echo %version| cut -f1 -d'.')
	kelpdir=${nbdir}/Kelp$major_version
	if
		[ ! -d ${kelpdir} ]
	then
		mkdir ${kelpdir}
	else
		echo "Kelp has already been installed, removing the contents of $kelpdir"
		rm -rf  ${kelpdir}/*
		mv -f ${nbdir}/bin/bck/ide.cfg ${nbdir}/bin/
		mv -f ${nbdir}/bin/bck/ide.policy ${nbdir}/bin/
	fi
	mv /tmp/%name-%version/NetBeans/* ${kelpdir}
	cd ${kelpdir}
	if
		./configure $nbdir $enhdir  $JDK_HOME
	then
		echo -e "\n\nThe installation has been successful"
	else
		echo -e "\n\nThe installation failed"
		exit 1
	fi


%post netbeans34
	echo -e "\n\n %name-NetBeans34-%version post installation script\n\n"
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \c"
                read JDK_HOME </dev/tty
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
	PATH=$JDK_HOME/bin:$PATH
	export PATH
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \c"
                read enhdir </dev/tty
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_nbdir34=/opt/netbeans
        while
                echo -e "\n\nPlease enter path to your "\
                        "NetBeans34 root directory [$default_nbdir34] \c"
                read nbdir34 </dev/tty
                nbdir34=${nbdir34:=$default_nbdir34}
                [ ! -d $nbdir34 ]
        do
                echo "Warning: No such directory: $nbdir34"
        done
	major_version=$(echo %version| cut -f1 -d'.')
	kelpdir=${nbdir34}/Kelp$major_version
	if
		[ ! -d ${kelpdir} ]
	then
		mkdir ${kelpdir}
	else
		echo "Kelp has already been installed, removing the contents of $kelpdir"
		rm -rf  ${kelpdir}/*
		mv -f ${nbdir34}/bin/bck/ide.cfg ${nbdir34}/bin/
		mv -f ${nbdir34}/bin/bck/ide.policy ${nbdir34}/bin/
	fi
	mv /tmp/%name-%version/NetBeans34/* ${kelpdir}
	cd ${kelpdir}
	if
		./configure $nbdir34 $enhdir $JDK_HOME
	then
		echo -e "\n\nThe installation has been successful"
	else
		echo -e "\n\nThe installation failed"
		exit 1
	fi

%post eclipse
	echo -e "\n\n %name-Eclipse-%version post installation script\n\n"
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \c"
                read JDK_HOME </dev/tty
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
	PATH=$JDK_HOME/bin:$PATH
	export PATH
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \c"
                read enhdir </dev/tty
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_ecldir=/opt/eclipse
        while
                echo -e "\n\nPlease enter path to your "\
                        "Eclipse root directory [$default_ecldir] \c"
                read ecldir </dev/tty
                ecldir=${ecldir:=$default_ecldir}
                [ ! -d $ecldir ]
        do
                echo "Warning: No such directory: $ecldir"
        done
	kelpdir=${ecldir}/plugins
	if
		[ ! -d ${kelpdir} ]
	then
		mkdir ${kelpdir}
	fi
	pluginName=$(basename $(ls -d  /tmp/%name-%version/eclipse/org.enhydra.kelp.eclipse*))
	if
		[ -d  ${kelpdir}/${pluginName} ]
	then
		echo "Kelp has already been installed, removing the contents of  ${kelpdir}/${pluginName}"
		rm -rf   ${kelpdir}/${pluginName}
	fi
	mv /tmp/%name-%version/eclipse/${pluginName} ${kelpdir}
	if
		/tmp/%name-%version/eclipse/configure  ${kelpdir}/${pluginName} $enhdir $JDK_HOME $CLASSPATH 
	then
		echo -e "\n\nThe installation has been successful"
	else
		echo -e "\n\nThe installation failed"
		exit 1
	fi

%post eclipse21
	echo -e "\n\n %name-Eclipse21-%version post installation script\n\n"
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \c"
                read JDK_HOME </dev/tty
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
	PATH=$JDK_HOME/bin:$PATH
	export PATH
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \c"
                read enhdir </dev/tty
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_ecldir21=/opt/eclipse
        while
                echo -e "\n\nPlease enter path to your "\
                        "Eclipse21 root directory [$default_ecldir21] \c"
                read ecldir21 </dev/tty
                ecldir21=${ecldir21:=$default_ecldir21}
                [ ! -d $ecldir21 ]
        do
                echo "Warning: No such directory: $ecldir21"
        done
	kelpdir=${ecldir21}/plugins
	if
		[ ! -d ${kelpdir} ]
	then
		mkdir ${kelpdir}
	fi
	pluginName=$(basename $(ls -d  /tmp/%name-%version/eclipse21/org.enhydra.kelp.eclipse*))
	if
		[ -d  ${kelpdir}/${pluginName} ]
	then
		echo "Kelp has already been installed, removing the contents of  ${kelpdir}/${pluginName}"
		rm -rf   ${kelpdir}/${pluginName}
	fi
	mv /tmp/%name-%version/eclipse21/${pluginName} ${kelpdir}
	if
		/tmp/%name-%version/eclipse21/configure  ${kelpdir}/${pluginName} $enhdir $JDK_HOME $CLASSPATH 
	then
		echo -e "\n\nThe installation has been successful"
	else
		echo -e "\n\nThe installation failed"
		exit 1
	fi

%post jdeveloper
	echo -e "\n\n %name-JDeveloper-%version post installation script\n\n"
	default_jdkdir=/usr/java/j2sdk1.4.0_01
	JDK_HOME=${JDK_HOME:=$JAVA_HOME}
        while
                err=0
                if
                        [ X$JDK_HOME = X ]
                then
                        text="Warning: JDK_HOME is not defined."
                        err=1
                elif
                        [ ! -d $JDK_HOME ]
                then
                        text="Warning: No such directory: $JDK_HOME."
                        err=1
                elif
                        [ ! -r $JDK_HOME/bin/javac ]
                then
                        text="Warning: Not valid directory (no javac file): $JDK_HOME."
                        err=1
                fi
                [ $err -gt 0 ]
        do
                echo $text
                echo -e "\n\nPlease enter path to your "\
                        "Java Development Kit - JDK directory [$default_jdkdir] \c"
                read JDK_HOME </dev/tty
                JDK_HOME=${JDK_HOME:=$default_jdkdir}
        done
        export JDK_HOME
	PATH=$JDK_HOME/bin:$PATH
	export PATH
        tools=$(find $JDK_HOME -name tools.jar -print)
        if
                echo $CLASSPATH | grep -v $tools
        then
                CLASSPATH=$CLASSPATH:$tools
                export CLASSPATH
        fi
	
	default_enhdir=/usr/local/enhydra5.1
        while
                echo -e "\n\nPlease enter path to your "\
                        "Enhydra root directory [$default_enhdir] \c"
                read enhdir </dev/tty
                enhdir=${enhdir:=$default_enhdir}
                [ ! -d $enhdir ]
        do
                echo "Warning: No such directory: $enhdir"
        done
	default_jddir=/opt/JDeveloper
        while
                echo -e "\n\nPlease enter path to your "\
                        "JDeveloper root directory [$default_jddir] \c"
                read jddir </dev/tty
                jddir=${jddir:=$default_jddir}
                [ ! -d $jddir ]
        do
                echo "Warning: No such directory: $jddir"
        done
	cp -rf /tmp/%name-%version/jdeveloper/jdev/* ${jddir}/jdev/
	if
		/tmp/%name-%version/jdeveloper/configure ${jddir} $enhdir $JDK_HOME $CLASSPATH 
	then
		echo -e "\n\nThe installation has been successful"
	else
		echo -e "\n\nThe installation failed"
		exit 1
	fi

