#
# Enhydra Java Application Server Project
# 
# The contents of this file are subject to the Enhydra Public License
# Version 1.1 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License on
# the Enhydra web site ( http://www.enhydra.org/ ).
# 
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
# the License for the specific terms governing rights and limitations
# under the License.
# 
# The Initial Developer of the Enhydra Application Server is Lutris
# Technologies, Inc. The Enhydra Application Server and portions created
# by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
# All Rights Reserved.
# 
# Contributor(s):
# 
#
# Module-level make configuration file.
#

ROOT = ${MODROOT}/../..

MOD_VERSION = 4.0

JARNAME = toolbox

# FIXME: Tmp flag to allow module to compile under the 3.0 or 4.0 make rules.
ifneq ($(wildcard ${ROOT}/lib/make/enhydra-rules.mk),)
ENHYDRA_3=NO
else
ENHYDRA_3=YES
endif

include ${ROOT}/config.mk

ENHYDRA_CLASSPATH:=${MODULES}/ToolBox/src${PS}${ENHYDRA_CLASSPATH}

